TREC 2001 VideoTrack: Known-Items Task Evaluation: Class SysSegmentation

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class SysSegmentation

    java.lang.Object
      |
      +--Segmentation
            |
            +--SysSegmentation

public class SysSegmentation
extends Segmentation

This class represents a segmentation in items of video file and used in known-items task programs of TREC 2001. Not the entire video is represented in a segmentation, the term of segmentation is used for convenience, but it's just a bunch of items of the same video that need to be processed together cause result of one particular system for one particular topic.

Fields inherited from class Segmentation
`droppedOut, itemSet, topicNumber`

Constructor Summary
`SysSegmentation(java.util.Comparator orderingComparator, java.lang.String sysId, java.lang.String topicNumber, java.lang.String pType, java.lang.String sType)` Constructs Segmentation object with an ordering comparator for its set of items.

Method Summary
`java.lang.String` | `getPType()` Gets the processing type.
`java.lang.String` | `getSType()` Gets the system type.
`java.lang.String` | `getSysId()` Gets the system ID.

Methods inherited from class Segmentation
`add, contains, getDroppedOut, getElements, getItemCount, getTopicNumber, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SysSegmentation

    public SysSegmentation(java.util.Comparator orderingComparator,
                           java.lang.String sysId,
                           java.lang.String topicNumber,
                           java.lang.String pType,
                           java.lang.String sType)

  Constructs Segmentation object with an ordering comparator for its set of items.
  Parameters:
    `orderingComparator` - The comparator used to order transitions in the set of transitions
    `sysId` - The system ID used to identify results.
    `topicNumber` - The topic number of the results.
    `pType` - The processing type of the system ("A" or "I").
    `sType` - The system type of the system ("K" or "G").

Method Detail

### getSysId

    public java.lang.String getSysId()

  Gets the system ID.
  Returns:
    System ID.

### getPType

    public java.lang.String getPType()

  Gets the processing type.
  Returns:
    The processing type.

### getSType

    public java.lang.String getSType()

  Gets the system type.
  Returns:
    The system type.

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov